
Foreman - Bug #3889

No validation errors for nested class parameters on Puppet class edit page

12/16/2013 06:11 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Web Interface   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a validation errors occurs on the puppet class edit page, no validation messages are returned to the UI for nested smart class

parameters and matchers.

Related issues:

Related to Foreman - Bug #2726: Smart Class Parameter - over-ride match value... Closed 06/28/2013

Related to Foreman - Bug #3871: Foreman 1.3.1: Adding a new smart class param... Duplicate 12/12/2013

Associated revisions

Revision a387cbcb - 12/25/2013 09:19 AM - Dominic Cleal

fixes #3889 - don't reload nested lookup keys during render, so validation errors aren't lost

History

#1 - 12/16/2013 06:21 PM - Dominic Cleal

- Related to Bug #2726: Smart Class Parameter - over-ride match value unable to set yaml added

#2 - 12/16/2013 06:25 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1093

#3 - 12/16/2013 06:29 PM - Dominic Cleal

- Related to Bug #3871: Foreman 1.3.1: Adding a new smart class parameter override  fails if there is an existing match on an hostgroup that don't

exist.    added

#4 - 12/18/2013 02:58 PM - Dominic Cleal

- translation missing: en.field_release changed from 3 to 2

#5 - 12/25/2013 09:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a387cbcbbae22a6283d229eebbf77f0b3932d27f.
